List of Contributions

Andrey Klyachkin

Contact Details

My Content

1 to 20 of 48 total
Posted By Andrey Klyachkin Jun 23, 2021 4:56 PM
Found In Egroup: AIX Open Source
\ view thread
looks like the cause for the error is the following line in ansible.cfg: interpreter_python = /opt/freeware/bin/python3 If the line is changed to python3_32 (32 bit version of python3), everything works ok: interpreter_python = /opt/freeware/bin/python3_32 ------------------------------ Andrey Klyachkin ...
Posted By Andrey Klyachkin Jun 23, 2021 4:51 PM
Found In Egroup: AIX Open Source
\ view thread
Trying to update packages using DNF module: - name: update all RPM packages using dnf dnf: name: '*' state: latest Got the following error: fatal: [server]: FAILED! => ("changed": false, "cmd": "dnf install -y python3-dnf", "msg": "Could not import the dnf python module using /opt/freeware/bin/python3 ...
Posted By Andrey Klyachkin Jun 11, 2021 4:27 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Sangamesh, thank you for the answer! It works without extra_list packages. Regards Andrey ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Jun 11, 2021 2:54 AM
Found In Egroup: AIX Open Source
\ view thread
Installing DNF on a fresh AIX without anything: Installing the packages... error: Failed dependencies: curl >= 7.65.1 is needed by zchunk-1.1.4-1.ppc ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Apr 8, 2021 11:02 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Maesho, yes, the problem is because you have an old version of gettext. I was able to reproduce the error with your version of gettext. Please update the package to the newest version: # yum update gettext Setting up Update Process Resolving Dependencies --> Running transaction check ---> Package ...
Posted By Andrey Klyachkin Apr 6, 2021 3:54 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Dharma, if you have CD image, then you use -V cdrfs. If you have UDFS image (like you've downloaded), then you use -V udfs. More about it is in Gareth's blog ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Mar 29, 2021 7:32 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Maesho, I checked on AIX 7.2 TL4 SP2 and as for me it works. Can you check the output of ldd /var/lib/awx/venv/awx/bin/uwsgi? ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Mar 26, 2021 4:24 AM
Found In Egroup: AIX
\ view thread
The very fast answer - man mksecldap. A little bit longer answer is here . Even if it is already a little bit outdated, the redbook has a lot of important information. Do you want to install LDAP server or do you want to make user authentication through LDAP? ------------------------------ Andrey Klyachkin ...
Posted By Andrey Klyachkin Feb 25, 2021 3:11 AM
Found In Egroup: HMC
\ view thread
Even if you network guys don't like the answer, but you may have multiple subnets on the same VLAN. You can configure all ports into the same VLAN and use 3 different IP subnets for open and 2 private networks with static IP addresses on FSPs. If you get both FSP ports into the same IP subnet, you may ...
Posted By Andrey Klyachkin Feb 5, 2021 6:18 AM
Found In Egroup: AIX Open Source
\ view thread
It might not be the answer you want to read here, but if you want commercial support for sudo, you can buy it from the company where Todd Miller (developer of sudo) works - OneIdentity. I don't exactly remember the name of the product, but something like "Privilege Manager for UNIX". ------------------------------ ...
Posted By Andrey Klyachkin Feb 5, 2021 3:28 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Sanket, yes, I'm looking for newer version, because some of applications already use the features from 1.15, which are missing in 1.14. Thank you! ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Feb 4, 2021 4:38 PM
Found In Egroup: AIX Open Source
\ view thread
Any plans to package Google Go 1.15 in AIX Toolbox? More and more applications require it. ------------------------------ Andrey Klyachkin https://www.power-devops.com ------------------------------
Posted By Andrey Klyachkin Jan 28, 2021 7:49 AM
Found In Egroup: AIX Open Source
\ view thread
Quick and dirty "help yourself" guide. Req'd time - 15-30 min. 1. Download and install the source code of the latest sudo package: # wget http://public.dhe.ibm.com/aix/freeSoftware/aixtoolbox/SRPMS/sudo/sudo-1.8.31p1-2.src.rpm ​# rpm -ivh sudo\-1.8.31p1\-2.src.rpm​​​​ 2. Download the latest sudo tarball ...
Posted By Andrey Klyachkin Jan 18, 2021 8:12 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Steve, yes, the playbook uses /tmp/awx as a place to store some temporary files and tries to clean up it afterwards: - name: remove temporary directory file: path: /tmp/awx state: absent The easiest way to avoid the problem, is to use another directory, e.g. /tmp/awx-install or /tmp/awx15... ...
Posted By Andrey Klyachkin Nov 25, 2020 5:25 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Thierry, AIX Toolbox for Linux applications has no libXpm RPM package (https://www.ibm.com/support/pages/aix-toolbox-linux-applications-downloads-alpha#L). It looks like either you have RPM packages from Michael Perzl or you have a mix of different packages. It will not work. I compiled and tested ...
Posted By Andrey Klyachkin Nov 17, 2020 3:30 PM
Found In Egroup: AIX Open Source
\ view thread
If you added it to the root profile after starting AWX, you must restart supervisord. In the latest AWX RPM 15.0.1 I added to /etc/rc.d/init.d/supervisord: # workaround if root have too many allowed descriptors ulimit -n 65536 # /opt/freeware/bin must be in PATH export PATH=/opt/freeware/bin:$PATH It ...
Posted By Andrey Klyachkin Nov 17, 2020 3:48 AM
Found In Egroup: AIX Open Source
\ view thread
I suppose, you have some problem with redis permission. Check, that any member of the redis group can write to /var/run/redis/redis.sock: # ls -ld /var/run # ls -ld /var/run/redis # ls -l /var/run/redis/redis.sock Check, that the unix socket is enabled in /opt/freeware/etc/redis.conf and has correct ...
Posted By Andrey Klyachkin Nov 16, 2020 6:24 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Gaurav, if you don't need the database, you can always drop it (su - postgres, dropdb awx) and it will be recreated by the playbook. If you need it, you can change the administrator user's name in the playbook (tasks/04_awxconfig.yml, su - awx -c awx-manage createsuperuser --username admin --email ...
Posted By Andrey Klyachkin Nov 12, 2020 2:57 AM
Found In Egroup: AIX Open Source
\ view thread
Hi Guarav, AWX requires ansible 2.8 and newer. Ansible 2.9.10 from IBM has ansible-playbook, but as you can read on this forum it is not anymore installed in /usr/bin, but in /opt/freeware/bin. So you have to update your PATH variable to include /opt/freeware/bin or write the whole path to the command: ...
Posted By Andrey Klyachkin Nov 11, 2020 3:28 PM
Found In Egroup: AIX Open Source
\ view thread
If it went to this point, it means, that YUM still thinks, that AWX is installed. You need first to uninstall RPM packages manually: rpm -e ansible-awx linux_compat redis supervisor xmlsec1 xmlsec1-openssl If it doesn't work, post the output here before proceeding further. If it works for you, then ran ...